Package net.shibboleth.shared.security.impl

# Class BasicKeystoreKeyStrategyTool.FileConverter

java.lang.Object
com.beust.jcommander.converters.BaseConverter<File>
net.shibboleth.shared.security.impl.BasicKeystoreKeyStrategyTool.FileConverter

All Implemented Interfaces:
  `com.beust.jcommander.IStringConverter<File>`

Enclosing class:
  BasicKeystoreKeyStrategyTool

public static class BasicKeystoreKeyStrategyTool.FileConverter extends com.beust.jcommander.converters.BaseConverter<File>
Command line option conversion from String to File.

## Constructor Summary

Constructors
Constructor
Description
`FileConverter(String optionName)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`File`
`convert(String value)`

### Methods inherited from class com.beust.jcommander.converters.BaseConverter

`getErrorString, getOptionName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileConverter

public FileConverter(String optionName)
Constructor.

Parameters:
  `optionName` - name of the option

## Method Details

### convert

public File convert(String value)